<script>
    import { onMount } from 'svelte'
    import { goto } from '@sapper/app'
    import { user } from 'store'
    import Nav from 'components/Nav/Nav.svelte'
    import NewPost from 'components/NewPost.svelte'

    export let segment

    $: isAuthSegment = ['connexion', 'inscription'].includes(segment)

    onMount(() => {
        user.subscribe(async u => {
            if (isAuthSegment) {
                if (u !== undefined) await goto('/')
                return
            }
            if (u === undefined) await goto('connexion')
        })
    })
</script>

<main id="layout">
    <div id="content" class={isAuthSegment ? 'auth' : 'page'}>
        <slot />

        {#if !isAuthSegment && !['post', 'nouveau'].includes(segment)}
            <NewPost />
        {/if}
    </div>

    {#if !isAuthSegment}
        <Nav {segment} />
    {/if}
</main>

<style global lang="postcss">
    @tailwind base;
    @tailwind components;
    @tailwind utilities;

    #layout {
        @apply h-screen grid grid-cols-1 grid-rows-layout;

        #content {
            @apply grid grid-cols-1 overflow-auto;

            &.auth {
                @apply grid-rows-auth;
            }

            &.page {
                @apply grid-rows-page;
            }
        }
    }
</style>
